Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.design
Class JRDesignCrosstabGroup

    java.lang.Object
      net.sf.jasperreports.crosstabs.base.JRBaseCrosstabGroup
          net.sf.jasperreports.crosstabs.design.JRDesignCrosstabGroup

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCrosstabGroup, JRChangeEventsSupport, JRCloneable

Direct Known Subclasses:
  JRDesignCrosstabColumnGroup, JRDesignCrosstabRowGroup

    public abstract class JRDesignCrosstabGroup

extends JRBaseCrosstabGroup
implements JRChangeEventsSupport

Base crosstab row/column group implementation to be used at design time.

Version:
  $Id: JRDesignCrosstabGroup.java 3583 2010-03-12 11:35:40Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRDesignVariable` | `designVariable`
`protected JRDesignCrosstab` | `parent`
`static java.lang.String` | `PROPERTY_BUCKET`
`static java.lang.String` | `PROPERTY_HEADER`
`static java.lang.String` | `PROPERTY_NAME`
`static java.lang.String` | `PROPERTY_TOTAL_HEADER`
`static java.lang.String` | `PROPERTY_TOTAL_POSITION`

Fields inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabGroup
`bucket, header, name, totalHeader, totalPositionValue, variable`

Constructor Summary
`protected` | `JRDesignCrosstabGroup()`

Method Summary
`java.lang.Object` | `clone()`
`JRDesignCrosstabGroup` | `clone(JRDesignCrosstab parent)`
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`JRDesignCrosstab` | `getParent()` Returns the group parent crosstab.
`void` | `setBucket(JRDesignCrosstabBucket bucket)` Sets the group bucketing information.
`protected void` | `setCellOrigin(JRCellContents cell, JRCrosstabOrigin origin)`
`void` | `setHeader(JRDesignCellContents header)` Sets the group header cell.
`void` | `setName(java.lang.String name)` Sets the group name.
`void` | `setTotalHeader(JRDesignCellContents totalHeader)` Sets the group total header cell.
`void` | `setTotalPosition(byte totalPosition)` Deprecated. Replaced by `setTotalPosition(CrosstabTotalPositionEnum)`.
`void` | `setTotalPosition(CrosstabTotalPositionEnum totalPositionValue)` Sets the position of the total row/column.

Methods inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabGroup
`getBucket, getHeader, getName, getTotalHeader, getTotalPosition, getTotalPositionValue, getVariable, hasTotal`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_BUCKET

    public static final java.lang.String PROPERTY_BUCKET

See Also:
  Constant Field Values

### PROPERTY_HEADER

    public static final java.lang.String PROPERTY_HEADER

See Also:
  Constant Field Values

### PROPERTY_NAME

    public static final java.lang.String PROPERTY_NAME

See Also:
  Constant Field Values

### PROPERTY_TOTAL_HEADER

    public static final java.lang.String PROPERTY_TOTAL_HEADER

See Also:
  Constant Field Values

### PROPERTY_TOTAL_POSITION

    public static final java.lang.String PROPERTY_TOTAL_POSITION

See Also:
  Constant Field Values

### designVariable

    protected JRDesignVariable designVariable

### parent

    protected JRDesignCrosstab parent

Constructor Detail

### JRDesignCrosstabGroup

    protected JRDesignCrosstabGroup()

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the group name.

  Parameters:
    `name` - the name
  See Also:
    `JRCrosstabGroup.getName()`

### setTotalPosition

    public void setTotalPosition(byte totalPosition)

  Deprecated. Replaced by `setTotalPosition(CrosstabTotalPositionEnum)`.

### setTotalPosition

    public void setTotalPosition(CrosstabTotalPositionEnum totalPositionValue)

  Sets the position of the total row/column.

  Parameters:
    `totalPositionValue` - the position of the total row/column
  See Also:
    `JRCrosstabGroup.getTotalPositionValue()`

### setBucket

    public void setBucket(JRDesignCrosstabBucket bucket)

  Sets the group bucketing information.

  Parameters:
    `bucket` - the bucketing information
  See Also:
    `JRCrosstabGroup.getBucket()`

### setHeader

    public void setHeader(JRDesignCellContents header)

  Sets the group header cell.

  Parameters:
    `header` - the header cell
  See Also:
    `JRCrosstabGroup.getHeader()`

### setTotalHeader

    public void setTotalHeader(JRDesignCellContents totalHeader)

  Sets the group total header cell.

  Parameters:
    `totalHeader` - the total header
  See Also:
    `JRCrosstabGroup.getTotalHeader()`

### getParent

    public JRDesignCrosstab getParent()

  Returns the group parent crosstab.

  The parent is automatically set when the group is added to the crosstab.

  Returns:
    the parent crosstab

### setCellOrigin

    protected void setCellOrigin(JRCellContents cell,
                                 JRCrosstabOrigin origin)

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `JRBaseCrosstabGroup`

### clone

    public JRDesignCrosstabGroup clone(JRDesignCrosstab parent)

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com